Retrieve Custom Object
Retrieves the Custom Object associated with the specified User using the UID and record ID.
Retrieves the Custom Object associated with the specified User using the UID and record ID.
apikey<token>
Tenant API Key for authentication
In: query
apisecret<token>
Tenant API Secret for authentication
In: query
Path Parameters
objectrecordid*string
Unique identifier for the Custom Object record. The ID is used to target a specific Custom Object.
Format
uuiduid*string
The UID associated with the User
Query Parameters
objectname?string
Name of the Custom Object to be used in the request. The name should match the Custom Object configured in your LoginRadius account.
customobjectid?string
Unique identifier for the Custom Object record
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/manage/account/43e4417bd2de4a1fa82445274f864203/customobject/123e4567-e89b-12d3-a456-426614174000?objectname=customObjectName1&customobjectid=customObject12"{
"IsActive": true,
"IsDeleted": false,
"CustomObject": {
"firstName": "John",
"lastName": "Doe",
"age": 30
},
"Id": "abc123",
"Uid": "user456",
"DateCreated": "2024-05-28T12:34:56Z",
"DateModified": "2024-05-29T09:10:11Z"
}{
"ErrorCode": 1208,
"Message": "API signature is invalid",
"Description": "The API signature is invalid, please use a valid API signature parameter in order to process this request."
}{
"ErrorCode": 902,
"Message": "The API secret is unauthorized",
"Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}{
"ErrorCode": 1212,
"Message": "The request expiry time is invalid",
"Description": "The request expiry time is invalid, please use a valid request expiry time in order to process this request."
}